/* 
参数
lat：目标地点纬度
lng：目标地点经度
myLat：用户当前纬度
myLng：用户当前经度
 */
export const calculateDistance = (lat = '', lng = '', myLat = '', myLng = '') => {
	let centerLat = lat
	let centerLng = lng

	let red1 = (myLat * Math.PI) / 180.0
	let red2 = (centerLat * Math.PI) / 180.0
	let a = red1 - red2
	let b = (myLng * Math.PI) / 180.0 - (centerLng * Math.PI) / 180.0
	let R = 6378137
	let distance = R * 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) + Math.cos(red1) * Math.cos(red2) * Math
		.pow(Math.sin(b / 2), 2)))
	let res = (distance / 1000).toFixed(2) * 1

	return res
}